function [model, runningGrad] = applyGrad(model, grad, runningGrad, opts)

learningRate = opts.learningRate;
momentum = opts.momentum;

numLayer = model.numLayer;

for l = 2 : numLayer
	if strcmp(model.layers{l}.type,'classification')
		runningGrad{l}.weight  = momentum * runningGrad{l}.weight - learningRate * grad{l}.weight;
		model.layers{l}.weight = model.layers{l}.weight + runningGrad{l}.weight;
	else
		runningGrad{l}.weight  = momentum * runningGrad{l}.weight - learningRate * grad{l}.weight;
		model.layers{l}.weight = model.layers{l}.weight + runningGrad{l}.weight;
		
		runningGrad{l}.bias = momentum * runningGrad{l}.bias - learningRate * grad{l}.bias;
		model.layers{l}.bias = model.layers{l}.bias + runningGrad{l}.bias;
	end
end